import serial
import datetime
import os

def makedatedir():
    formattedname = datetime.datetime.now().strftime("%Y-%m-%d")
    try:
        os.mkdir(formattedname)
    except:
        pass
    return (formattedname)


# Configure the COM port
port = "COM7"  
baudrate = 9600
#ser = serial.Serial(port, baudrate=baudrate,
#bytesize=8, parity='N', stopbits=1, timeout=1,
#xonxoff=False, rtscts=False)

try:

    ser = serial.Serial(port, baudrate=baudrate, bytesize=7, parity='N')
    print("Serial connection established.")
    
    data = []
    while True:

        line = ser.read().decode()
    
        if line:
            data.append(line)

        if ord(line)==26:
            ddir = makedatedir()
            par1=str(data)[45:46]
            par2=str(data)[50:51]
            print(par1)
            print(par2)
            annum = "№ " + par1 + par2 +" " + datetime.datetime.now().strftime("%Y-%m-%d_%H-%M-%S")+'.res'
            #filename = datetime.datetime.now().strftime("file_%Y-%m-%d_%H-%M-%S.txt")
            filename = "./"+ ddir + "/" + annum
            print (filename)
            with open(filename, 'w') as f:
                f.write(str(data))
            print("file saved:", filename )
            data = []

except serial.SerialException as se:
    print("Serial port error:", str(se))

except KeyboardInterrupt:
    pass

finally:
  
    if ser.is_open:
        ser.close()
        print("Serial connection closed.")

